{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Clients [Metricbeat Redis] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}",
                "version": 1,
                "visState": "{\"params\": {\"fontSize\": 60, \"type\": \"gauge\", \"gauge\": {\"percentageMode\": false, \"type\": \"simple\", \"colorSchema\": \"Green to Red\", \"gaugeStyle\": \"Full\", \"labels\": {\"color\": \"black\", \"show\": true}, \"colorsRange\": [{\"to\": 100, \"from\": 0}], \"orientation\": \"vertical\", \"autoExtend\": false, \"useRange\": false, \"verticalSplit\": false, \"style\": {\"fontSize\": 60, \"bgColor\": false, \"labelColor\": false, \"subText\": \"\"}, \"backStyle\": \"Full\", \"gaugeColorMode\": \"None\", \"invertColors\": false, \"gaugeType\": \"Metric\", \"scale\": {\"color\": \"#333\", \"show\": false, \"labels\": false, \"width\": 2}}, \"addLegend\": false, \"addTooltip\": true, \"handleNoResults\": true}, \"aggs\": [{\"params\": {\"field\": \"redis.info.clients.connected\", \"customLabel\": \"Connected clients\"}, \"id\": \"1\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}], \"listeners\": {}, \"type\": \"metric\", \"title\": \"Clients [Metricbeat Redis] ECS\"}"
            },
            "col": 1,
            "id": "Redis-Clients-Metrics-ecs",
            "panelIndex": 2,
            "row": 1,
            "size_x": 3,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Connected clients [Metricbeat Redis] ECS",
                "uiStateJSON": "{\"vis\": {\"colors\": {\"Blocked\": \"#C15C17\"}}}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"times\": [], \"seriesParams\": [{\"show\": \"true\", \"mode\": \"stacked\", \"type\": \"histogram\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"showCircles\": true, \"data\": {\"id\": \"1\", \"label\": \"Count\"}}], \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Count\"}}], \"addTimeMarker\": false, \"defaultYExtents\": false, \"setYExtents\": false, \"addTooltip\": true, \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"yAxis\": {}, \"mode\": \"grouped\", \"scale\": \"linear\", \"addLegend\": true, \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"field\": \"redis.info.clients.connected\", \"customLabel\": \"Connected\"}, \"id\": \"1\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"interval\": \"auto\", \"min_doc_count\": 1, \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"extended_bounds\": {}}, \"id\": \"2\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}, {\"params\": {\"field\": \"redis.info.clients.blocked\", \"customLabel\": \"Blocked\"}, \"id\": \"3\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}], \"listeners\": {}, \"type\": \"histogram\", \"title\": \"Connected clients [Metricbeat Redis] ECS\"}"
            },
            "col": 4,
            "id": "Redis-Connected-clients-ecs",
            "panelIndex": 1,
            "row": 1,
            "size_x": 5,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Hosts [Metricbeat Redis] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 10, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"showPartialRows\": false, \"showMeticsAtAllLevels\": false, \"showTotal\": false}, \"aggs\": [{\"params\": {\"order\": \"desc\", \"field\": \"service.address\", \"orderBy\": \"1\", \"size\": 5}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"field\": \"redis.info.server.uptime\", \"customLabel\": \"Uptime (s)\"}, \"id\": \"3\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"process.pid\", \"customLabel\": \"PID\"}, \"id\": \"6\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"redis.info.memory.used.peak\", \"customLabel\": \"Memory\"}, \"id\": \"1\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"redis.info.cpu.used.user\", \"customLabel\": \"CPU used (user)\"}, \"id\": \"4\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"field\": \"redis.info.cpu.used.sys\", \"customLabel\": \"CPU used (system)\"}, \"id\": \"5\", \"type\": \"max\", \"enabled\": true, \"schema\": \"metric\"}], \"listeners\": {}, \"type\": \"table\", \"title\": \"Hosts [Metricbeat Redis] ECS\"}"
            },
            "col": 1,
            "id": "Redis-hosts-ecs",
            "panelIndex": 3,
            "row": 4,
            "size_x": 12,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Server Versions [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"isDonut\": false, \"addTooltip\": true, \"addLegend\": true, \"legendPosition\": \"right\"}, \"aggs\": [{\"params\": {\"field\": \"service.address\", \"customLabel\": \"Hosts\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"service.version\", \"customLabel\": \"Multiplexing API\", \"size\": 5}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"listeners\": {}, \"type\": \"pie\", \"title\": \"Server Versions [Metricbeat Redis] ECS\"}"
            },
            "col": 1,
            "id": "Redis-Server-Versions-ecs",
            "panelIndex": 4,
            "row": 6,
            "size_x": 4,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Server mode [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"isDonut\": false, \"addTooltip\": true, \"addLegend\": true, \"legendPosition\": \"right\"}, \"aggs\": [{\"params\": {\"field\": \"service.address\", \"customLabel\": \"Hosts\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"redis.info.server.mode\", \"customLabel\": \"Server mode\", \"size\": 5}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"listeners\": {}, \"type\": \"pie\", \"title\": \"Server mode [Metricbeat Redis] ECS\"}"
            },
            "col": 5,
            "id": "Redis-server-mode-ecs",
            "panelIndex": 5,
            "row": 6,
            "size_x": 4,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Multiplexing API [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"isDonut\": false, \"addTooltip\": true, \"addLegend\": true, \"legendPosition\": \"right\"}, \"aggs\": [{\"params\": {\"field\": \"service.address\", \"customLabel\": \"Hosts\"}, \"id\": \"1\", \"type\": \"cardinality\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"redis.info.server.multiplexing_api\", \"customLabel\": \"Multiplexing API\", \"size\": 5}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"listeners\": {}, \"type\": \"pie\", \"title\": \"Multiplexing API [Metricbeat Redis] ECS\"}"
            },
            "col": 9,
            "id": "Redis-multiplexing-API-ecs",
            "panelIndex": 6,
            "row": 6,
            "size_x": 3,
            "size_y": 2,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Metricbeat-Redis-ecs",
                "title": "Keyspaces [Metricbeat Redis] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"shareYAxis\": true, \"smoothLines\": false, \"times\": [], \"seriesParams\": [{\"interpolate\": \"linear\", \"mode\": \"stacked\", \"showCircles\": true, \"type\": \"area\", \"valueAxis\": \"ValueAxis-1\", \"drawLinesBetweenPoints\": true, \"show\": \"true\", \"data\": {\"id\": \"1\", \"label\": \"Count\"}}], \"valueAxes\": [{\"position\": \"left\", \"id\": \"ValueAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\", \"mode\": \"normal\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"rotate\": 0, \"show\": true, \"filter\": false, \"truncate\": 100}, \"type\": \"value\", \"title\": {\"text\": \"Count\"}}], \"addTimeMarker\": false, \"defaultYExtents\": false, \"setYExtents\": false, \"addTooltip\": true, \"yAxis\": {}, \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"legendPosition\": \"right\", \"interpolate\": \"linear\", \"mode\": \"stacked\", \"scale\": \"linear\", \"addLegend\": true, \"categoryAxes\": [{\"position\": \"bottom\", \"id\": \"CategoryAxis-1\", \"show\": true, \"style\": {}, \"scale\": {\"type\": \"linear\"}, \"type\": \"category\", \"labels\": {\"show\": true, \"truncate\": 100}, \"title\": {}}]}, \"aggs\": [{\"params\": {\"field\": \"redis.keyspace.keys\", \"customLabel\": \"Number of keys\"}, \"id\": \"1\", \"type\": \"avg\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"interval\": \"auto\", \"min_doc_count\": 1, \"field\": \"@timestamp\", \"customInterval\": \"2h\", \"extended_bounds\": {}}, \"id\": \"2\", \"type\": \"date_histogram\", \"enabled\": true, \"schema\": \"segment\"}, {\"params\": {\"order\": \"desc\", \"orderBy\": \"1\", \"field\": \"redis.keyspace.id\", \"customLabel\": \"Keyspaces\", \"size\": 5}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}], \"listeners\": {}, \"type\": \"area\", \"title\": \"Keyspaces [Metricbeat Redis] ECS\"}"
            },
            "col": 9,
            "id": "Redis-Keyspaces-ecs",
            "panelIndex": 7,
            "row": 1,
            "size_x": 4,
            "size_y": 3,
            "type": "visualization",
            "version": 2
        },
        {
            "attributes": {
                "columns": [
                    "_source"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlight\": {\"fragment_size\": 2147483647, \"post_tags\": [\"@/kibana-highlighted-field@\"], \"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"require_field_match\": false}, \"index\": \"metricbeat-*\", \"filter\": [], \"query\": {\"language\": \"kuery\", \"query\": \"event.module:redis\"}}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "Metricbeat Redis ECS",
                "version": 1
            },
            "id": "Metricbeat-Redis-ecs",
            "type": "search",
            "version": 7
        },
        {
            "attributes": {
                "description": "Overview of Redis server metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlightAll\": true, \"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": [], \"version\": true}"
                },
                "optionsJSON": "{\"darkTheme\": false}",
                "panelsJSON": "[{\"col\": 1, \"id\": \"Redis-Clients-Metrics-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 3, \"panelIndex\": 2}, {\"col\": 4, \"id\": \"Redis-Connected-clients-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 5, \"panelIndex\": 1}, {\"col\": 1, \"id\": \"Redis-hosts-ecs\", \"row\": 4, \"type\": \"visualization\", \"size_y\": 2, \"size_x\": 12, \"panelIndex\": 3}, {\"col\": 1, \"id\": \"Redis-Server-Versions-ecs\", \"row\": 6, \"type\": \"visualization\", \"size_y\": 2, \"size_x\": 4, \"panelIndex\": 4}, {\"col\": 5, \"id\": \"Redis-server-mode-ecs\", \"row\": 6, \"type\": \"visualization\", \"size_y\": 2, \"size_x\": 4, \"panelIndex\": 5}, {\"col\": 9, \"id\": \"Redis-multiplexing-API-ecs\", \"row\": 6, \"type\": \"visualization\", \"size_y\": 2, \"size_x\": 3, \"panelIndex\": 6}, {\"col\": 9, \"id\": \"Redis-Keyspaces-ecs\", \"row\": 1, \"type\": \"visualization\", \"size_y\": 3, \"size_x\": 4, \"panelIndex\": 7}]",
                "timeRestore": false,
                "title": "[Metricbeat Redis] Overview ECS",
                "uiStateJSON": "{\"P-2\": {\"vis\": {\"defaultColors\": {\"0 - 100\": \"rgb(0,104,55)\"}}}, \"P-4\": {\"vis\": {\"legendOpen\": true}}, \"P-3\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}}",
                "version": 1
            },
            "id": "AV4YjZ5pux-M-tCAunxK-ecs",
            "type": "dashboard",
            "version": 1
        }
    ],
    "version": "5.6.0-SNAPSHOT"
}